### Hierarchy

- GraphLink

## Index

### Constructors

- constructor

### Properties

- from
- key
- to
- type

### Methods

- fromJson

## Constructors

### constructor

- new GraphLink(from: number, to: number, key: string, type: LinkType): GraphLink

- - Defined in repository/models/OutputGraphData.ts:17

  #### Parameters

  - ##### from: number

  - ##### to: number

  - ##### key: string

  - ##### type: LinkType

  #### Returns GraphLink

## Properties

### from

from: number

- Defined in repository/models/OutputGraphData.ts:10

### key

key: string

- Defined in repository/models/OutputGraphData.ts:12

### to

to: number

- Defined in repository/models/OutputGraphData.ts:11

### type

type: LinkType

- Defined in repository/models/OutputGraphData.ts:13

## Methods

### Static fromJson

- fromJson(json: JsonObject<GraphLink>): GraphLink

- - Defined in repository/models/OutputGraphData.ts:15

  #### Parameters

  - ##### json: JsonObject<GraphLink>

  #### Returns GraphLink

Generated using TypeDoc